<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html xmlns="http://www.w3.org/TR/REC-html40"> 
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>fwAccessControl_Demo.pnl 
panel</title>
<link rel="StyleSheet" HREF="style.css" TYPE="text/css" MEDIA="screen,print">
</head>
<body>
<table width="95%" border="1"><tbody>
<tr vAlign="top">
<td width="22%" bgColor="#00cc00"><strong>Panel Name</strong></td>
<td width="78%" colSpan="2">fwAccessControl/fwAccessControl_Demo.pnl</td>
</tr>
<tr vAlign="top">
<td bgColor="#00cc00"><strong>Introduction<br></strong></td>
<td colSpan="2">
<p>A Demonstration Panel</p>
<p>    
	<p>
	This is a panel that demonstrates the use of the Framework Access Control component.
	The panel is presented in Figure 1:
	    <div xmlns:html="http://www.w3.org/1999/xhtml" class="figure"><table align="center">
<tr><td><img src="fwAccessControl_Demo.png"></td></tr>
<tr><td><span class="caption">Figure 1: Demonstration panel.</span></td></tr>
</table></div>
	    The panel contains four buttons, which are in enabled or disabled state, depending
	    on the privileges of the user who is logged in.
	</p>
	    Five user accounts are added (or - if exists - reset to) at the initialization step
		<ul>
		    <li>demo (password:demo) - can only operate the
			 button
		     </li>
		    <li>operator (password:operator) - can operate 
			 and  buttons
		    </li>
		    <li>expert (password:expert) - can operate 
			,, buttons
		    </li>
		    <li>admin (password:admin) - can operate 
			 and  buttons
		    </li>
		    <li>glimos (password:glimos) - can operate 
			,, 
			and  buttons
		    </li>
		</ul>
		other users (including <em>root</em> user) have no access right to operate the buttons.<br>
	<p>
	    Have a look at the sources of the panel, and consult the <a href="../../scripts/libs/index.html">Library documentation</a> 
	    for details on implementing access control in your panels.
	</p>
    </p>
<br>
</td>
</tr>
<tr vAlign="top">
<td bgColor="#00cc00"><strong>Instructions</strong></td>
<td colSpan="2"><dl>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To log in as another user:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml">
	Click on the <img class="button" align="center" src="login.png"> button in the 
	<a href="fwAccessControl_CurrentUser.htm">Current User Indicator</a>  at the bottom left
	side of the panel. Use one of the usernames (and passwords) indicated in the <em>Introduction</em>
	to see the buttons enabled or disabled.
    </dd>
</dl></td>
</tr>
<tr vAlign="top">
<td bgColor="#00cc00"><strong>Restrictions</strong></td>
<td colSpan="2"><ul>
<li xmlns:html="http://www.w3.org/1999/xhtml"> The first time this panel is used, it needs to be started 
	from the <em>root</em> account, so that
	the domain, groups and users may be added at initialization time.
    </li>
<li xmlns:html="http://www.w3.org/1999/xhtml"> Creation of domains, groups and users is not possible in the Integrated Access Control mode - an error message
	reporting this situation is displayed and the panel becomes disabled.<br>
	To disable Integrated Access Control mode follow the instructions for the
	<a href="fwAccessControl_Setup.htm">Setup</a>  panel.
    </li>
</ul></td>
</tr>
</tbody></table>
<br>

<br><a href="../../fwAccessControl.htm">
Back to the documentation of the
	    fwAccessControl
component.
	    </a> <br xmlns:html="http://www.w3.org/1999/xhtml"><hr xmlns:html="http://www.w3.org/1999/xhtml">
<font xmlns:html="http://www.w3.org/1999/xhtml" size="-1"> Piotr Golonka, <a href="http://cern.ch/itcobe">CERN IT/CO-BE</a></font>
</body></html>
